> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1receiptsupload



## OpenAPI

````yaml /api-reference/openapi.json post /v1/receipts/upload
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/receipts/upload:
    post:
      tags:
        - ReceiptUpload
      parameters: []
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/TransactionsJobsSBExpenseUploadResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionsJobsSBExpenseUploadResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/TransactionsJobsSBExpenseUploadResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    TransactionsJobsSBExpenseUploadResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        jobId:
          type: string
          nullable: true
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}

````